## maemo-examples 1.3-0

=== Makefile ===
VERSION=1.0
DESTDIR=/
CC=gcc
CFLAGS=`pkg-config --cflags --libs gconf-2.0 hildon-libs hildon-fm gtk+-2.0 libosso gdk-2.0` -DTEXT_FILE=\"`echo ~/MyDocs/foo.txt`\"
EXAMPLES=\
	example_backup_server \
	example_backup_client \
	example_color_selector \
	example_context \
	example_findtoolbar \
	example_file_chooser \
	example_file_details \
	example_font_selector \
	example_gconf \
	example_gtk_print_info \
	example_hard_keys \
	example_hildonapp \
	example_hildonappview \
	example_libosso \
	example_menu \
	example_message \
	example_quickstart \
	example_toolbar

all: $(EXAMPLES) stamp-testfile

install:
	mkdir -p $(DESTDIR)/usr/share/doc/maemo-examples
	cp *.c Makefile README README.gconf COPYING \
		$(DESTDIR)/usr/share/doc/maemo-examples

$(EXAMPLES):
	    $(CC) $(CFLAGS) $(LDFLAGS) -o $@ $@.c

clean:
	-rm -f $(EXAMPLES)
	-rm -rf stamp-*

stamp-testfile:
	-mkdir -p ~/MyDocs
	echo "Test file." > ~/MyDocs/foo.txt
	touch stamp-testfile

dist: clean
	cd .. && \
	cp -a maemo_examples maemo-examples-$(VERSION) && \
	tar czf maemo-examples-$(VERSION).tar.gz \
		maemo-examples-$(VERSION) && \
	rm -rf maemo-examples-$(VERSION)

=== debian/changelog ===
maemo-examples (1.3-0) unstable; urgency=low

  * Removed obsolete email interface example_email_interface example.

 -- Maemo Integration <integration@maemo.org>  Mon,  2 Jan 2006 16:18:30 +0200

maemo-examples (1.2-1) unstable; urgency=low

  * Added context sensitive menu example.

 -- Maemo Integration <integration@maemo.org>  Mon,  2 Jan 2006 16:18:28 +0200

maemo-examples (1.2-0) unstable; urgency=low

  * Release 1.2

 -- Maemo Integration <integration@maemo.org>  Thu,  1 Dec 2005 11:22:34 +0200

maemo-examples (1.1-0) unstable; urgency=low

  * Examples and test for osso_email_interface.
  * Fixes in libosso_example

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Mon, 31 Oct 2005 10:19:00 -0300

maemo-examples (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Tue, 27 Sep 2005 14:37:41 -0300

=== debian/control ===
Source: maemo-examples
Section: doc
Priority: optional
Maintainer: Osvaldo Santana Neto <osvaldo.santana@indt.org.br>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: maemo-examples
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Maemo Development Examples
 Maemo Development Examples.

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/maemo-examples


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installexamples
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## maemo-examples 1.4-0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.0
+VERSION=1.4
 DESTDIR=/
 CC=gcc
 CFLAGS=`pkg-config --cflags --libs gconf-2.0 hildon-libs hildon-fm gtk+-2.0 libosso gdk-2.0` -DTEXT_FILE=\"`echo ~/MyDocs/foo.txt`\"
@@ -26,9 +26,15 @@
 
 install:
 	mkdir -p $(DESTDIR)/usr/share/doc/maemo-examples
-	cp *.c Makefile README README.gconf COPYING \
+	cp *.c Makefile README README.gconf \
 		$(DESTDIR)/usr/share/doc/maemo-examples
-
+	mkdir -p $(DESTDIR)/usr/bin
+	cp $(EXAMPLES) $(DESTDIR)/usr/bin
+	mkdir -p $(DESTDIR)/usr/share/applications/hildon
+	cp *.desktop $(DESTDIR)/usr/share/applications/hildon
+	mkdir -p $(DESTDIR)/usr/share/dbus-1/services
+	cp *.service $(DESTDIR)/usr/share/dbus-1/services
+	
 $(EXAMPLES):
 	    $(CC) $(CFLAGS) $(LDFLAGS) -o $@ $@.c

=== debian/changelog ===
maemo-examples (1.4-0) unstable; urgency=low

  * Added example binaries to package.
  * Changed the maintainer
  * Added a proper copyright text
  * Enabled building for x86 targets

 -- Maemo Integration <integration@maemo.org>  Wed, 16 May 2007 14:29:30 +0200

=== debian/control ===
Source: maemo-examples
Section: doc
Priority: optional
Maintainer: Maemo Integration <integration@maemo.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.2

Package: maemo-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Maemo Development Examples
 Maemo Development Examples.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 
 build: build-stamp
+	$(MAKE)
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -38,6 +39,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
+	dh_link
 	dh_installexamples
 	dh_fixperms
 	dh_installdeb

## maemo-examples 2.0-1

=== Makefile ===
VERSION=2.0
DESTDIR=/
CC=gcc
LIBRARIES=gconf-2.0 hildon-1 hildon-fm-2 hildon-help gtk+-2.0 libosso gdk-2.0 gconf-2.0 gnome-vfs-2.0 gstreamer-0.10 libebook-1.2 libalarm bluez libgwobex libhildondesktop osso-gpsd  osso-addressbook-1.0 gpsbt
#LIBRARIES=gconf-2.0 hildon-1 hildon-fm-2 gtk+-2.0 libosso gdk-2.0 gconf-2.0 libossohelp gnome-vfs-2.0 gstreamer-0.10 osso-addressbook-1.0 libebook-1.2 libalarm bluez libgwobex libhildondesktop osso-gpsd gpsbt 
CFLAGS= -Wall -pedantic `pkg-config --cflags  $(LIBRARIES)`
CDEBUG=-g
# libgstinterfaces-0.10 is defined here to work around
# a bug in gstreamer's pkg-config
LDFLAGS=`pkg-config --libs $(LIBRARIES)` -lgstinterfaces-0.10

ifdef DEBUG
CFLAGS += $(CDEBUG)
LDFLAGS += $(CDEBUG)
endif

EXAMPLES=\
	example_backup_server \
	example_backup_client \
	example_banner \
	example_color_selector \
	example_context \
	example_findtoolbar \
	example_file_chooser \
	example_file_details \
	example_font_selector \
	example_gconf \
	example_hard_keys \
	example_hildonprogram \
	example_libosso \
	example_help_framework \
	example_menu \
	example_message \
	example_quickstart \
	example_toolbar \
	example_gnomevfs \
	example_drawing \
	example_camera \
	example_bluetooth \
	example_alarm \
	example_wavlaunch  \
	example_abook \
	example_gps

LIBEXAMPLES=\
	libapplet.so \
	hildon-sb-helloworld.so 

AUX_FILES=Makefile README README.gconf COPYING \
	  example_backup_client.desktop \
	  example_backup_client.service \
	  example_help_framework.service \
	  example_libosso.desktop \
	  example_libosso.service \
	  install_backup_client.sh \
	  install_controlpanel_applet.sh \
	  install_example_libosso.sh \
	  hildon-sb-helloworld.desktop
	
	

all: $(EXAMPLES) $(LIBEXAMPLES) 

ICON_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=prefix`/share/icons/hicolor
SB_LIB_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=hildondesktoplibdir`
SB_DESKTOP_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=statusbardesktopentrydir`
BIN_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=prefix`/bin
DESKTOP_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=desktopentrydir`
DBUS_SERVICE_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=dbusservicedir`
CP_LIB_DIR=$(DESTDIR)`pkg-config hildon-control-panel --variable=pluginlibdir`
CP_DESKTOP_DIR=$(DESTDIR)`pkg-config hildon-control-panel --variable=plugindesktopentrydir`

INSTALL_FILES=$(addsuffix .c, $(EXAMPLES))\
       		$(patsubst %.so, %.c, $(LIBEXAMPLES))\
       		$(AUX_FILES) \

INSTALL_DIR=$(DESTDIR)/usr/share/doc/maemo-examples
#HELP_INSTALL_DIR=$(DESTDIR)/usr/share/osso-help/$(LANG)
HELP_INSTALL_DIR=$(DESTDIR)/usr/share/osso-help/en_GB

install: install_help
	mkdir -p $(ICON_DIR)/40x40/hildon/
	mkdir -p $(ICON_DIR)/26x26/hildon/
	mkdir -p $(SB_LIB_DIR)
	mkdir -p $(SB_DESKTOP_DIR)
	mkdir -p $(BIN_DIR)
	mkdir -p $(DESKTOP_DIR)
	mkdir -p $(DBUS_SERVICE_DIR)
	mkdir -p $(CP_LIB_DIR)
	mkdir -p $(CP_DESKTOP_DIR)
	cp hello-world.40.png $(ICON_DIR)/40x40/hildon/hello.png
	cp hello-world.26.png $(ICON_DIR)/26x26/hildon/hello.png
	cp hildon-sb-helloworld.so $(SB_LIB_DIR)
	cp hildon-sb-helloworld.desktop $(SB_DESKTOP_DIR)
	cp example_*.desktop $(DESKTOP_DIR)
	cp applet.desktop $(CP_DESKTOP_DIR)
	cp libapplet.so $(CP_LIB_DIR)
	cp $(EXAMPLES) $(BIN_DIR)
	cp *.service $(DBUS_SERVICE_DIR)

.PHONY: install_help
install_help:	example.xml
	mkdir -p $(HELP_INSTALL_DIR)
	cp example.xml $(HELP_INSTALL_DIR)
	

# This rule uses GNU make implicit rules, so
# examples can be built eg make example_hildonprogram
# http://www.gnu.org/software/make/manual/make.html#Implicit-Rules
$(EXAMPLES): %: %.c

$(LIBEXAMPLES): %.so: %.c
	    $(CC) -shared $(CFLAGS) $(LDFLAGS) -o $@ $<
	    
# Bluetooth example needs glib-marshallers which are generated here
example_bluetooth_marshallers.c: example_bluetooth.marshallers example_bluetooth_marshallers.h
	glib-genmarshal --body example_bluetooth.marshallers > $@

example_bluetooth_marshallers.h: example_bluetooth.marshallers
	glib-genmarshal --header example_bluetooth.marshallers > $@

example_bluetooth_lowlevel: example_bluetooth_lowlevel.c example_bluetooth_marshallers.c

example_alarm_dbus.h: example_alarm_dbus.xml
	dbus-binding-tool --prefix=hello_alarm --mode=glib-server example_alarm_dbus.xml > $@

example_alarm.c: example_alarm_dbus.h

example_alarm: example_alarm.c

clean:
	-rm -f $(EXAMPLES) $(LIBEXAMPLES)
	-rm -f example_bluetooth_marshallers.*
	-rm -f example_alarm_dbus.h

dist: clean
	cd .. && \
	cp -a maemo_examples maemo-examples-$(VERSION) && \
	tar czf maemo-examples-$(VERSION).tar.gz \
		maemo-examples-$(VERSION) && \
	rm -rf maemo-examples-$(VERSION)

=== debian/changelog ===
maemo-examples (2.0-1) unstable; urgency=low

  * Added example_gps and example_abook to the Makefile
  * example_context, example_gconf and example_findtoolbar
    updated to support testing by dogtail

 -- Marcell Lengyel <marcell@maemo.org>  Thu, 17 Jan 2008 16:08:06 +0300

maemo-examples (2.0-0) unstable; urgency=low

  * Version bump
  * Fixed a memory leak in color chooser example (bug# 252)

 -- Marcell Lengyel <marcell@maemo.org>  Mon, 15 Oct 2007 10:18:06 +0300

maemo-examples (1.6-0) unstable; urgency=low

  * Removed maemo 3.x #ifdef's from the examples to clean up the code a bit
  * Replaced Osso Help example with example_help_framework
  * Wawlaunch example uses alsasink in X86 scratchbox and now the sounds work

 -- Marcell Lengyel <marcell@maemo.org>  Sun, 16 Sep 2007 15:23:06 +0300

maemo-examples (1.5-0) unstable; urgency=low

  * Updated all examples to use MIT license
  * Restructured Makefile
  * Fixed all examples to compile without warnings
  * Added example_common.h
  * Added Osso Help example
  * Added GnomeVFS example
  * Added Drawing example
  * Added Camera examples
  * Added Addressbook example
  * Added Bluetooth example
  * Added Bluetooth lowlevel example
  * Added Alarmd example
  * Added Wavlaunch example

 -- Jami Pekkanen <jami.pekkanen@nokia.com>  Wed,  4 Jul 2007 15:23:06 +0300

maemo-examples (1.3-1) unstable; urgency=low

  * Changed license text from LGPL 2.1 or later to just LGPL 2.1.

 -- Maemo Integration <integration@maemo.org>  Tue,  7 Nov 2006 18:48:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: maemo-examples
-Section: doc
+Section: user/other
 Priority: optional
 Maintainer: Maemo Integration <integration@maemo.org>
-Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 4.0.0), libgconf2-dev, libhildon1-dev, libhildondesktop-dev, libhildonfm2-dev, libhildonhelp-dev, libgtk2.0-dev, libosso-dev, libdbus-1-dev, libosso-gnomevfs2-dev, libgstreamer0.10-dev, libebook-dev, libalarm-dev, libbluetooth2-dev, libgwobex-dev, libgpsbt-dev, osso-gpsd-dev, libosso-abook-dev
+Standards-Version: 3.6.0
 
 Package: maemo-examples
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,10 @@
 
 
 build: build-stamp
-	$(MAKE)
 
 build-stamp: configure-stamp 
 	dh_testdir
+	$(MAKE)
 	touch build-stamp
 
 clean:
@@ -29,6 +29,7 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
+	$(MAKE)
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/maemo-examples
 
 
@@ -39,7 +40,6 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_link
 	dh_installexamples
 	dh_fixperms
 	dh_installdeb
